Update Review App and Websites
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appName: 'Google Chrome',
appProductivity: 'productive',
isIgnoreIdle: false,
teamId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
appCategory: 'Software Development'
})
};
fetch('https://api.trackpilots.com/v1/settings/review-apps-and-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/settings/review-apps-and-sites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appName": "Google Chrome",
"appProductivity": "productive",
"isIgnoreIdle": false,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appCategory": "Software Development"
}
'import requests
url = "https://api.trackpilots.com/v1/settings/review-apps-and-sites"
payload = {
"appName": "Google Chrome",
"appProductivity": "productive",
"isIgnoreIdle": False,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appCategory": "Software Development"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "App tracking settings updated successfully",
"error": null,
"data": {
"appName": "Google Chrome",
"appProductivity": "productive",
"isIgnoreIdle": false,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appCategory": "Software Development"
}
}Settings
Update Review App and Websites
Update the productivity rating, idle-ignore flag, and category for a specific tracked app or website within a team.
PATCH
/
v1
/
settings
/
review-apps-and-sites
Update Review App and Websites
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appName: 'Google Chrome',
appProductivity: 'productive',
isIgnoreIdle: false,
teamId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
appCategory: 'Software Development'
})
};
fetch('https://api.trackpilots.com/v1/settings/review-apps-and-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/settings/review-apps-and-sites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appName": "Google Chrome",
"appProductivity": "productive",
"isIgnoreIdle": false,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appCategory": "Software Development"
}
'import requests
url = "https://api.trackpilots.com/v1/settings/review-apps-and-sites"
payload = {
"appName": "Google Chrome",
"appProductivity": "productive",
"isIgnoreIdle": False,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appCategory": "Software Development"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "App tracking settings updated successfully",
"error": null,
"data": {
"appName": "Google Chrome",
"appProductivity": "productive",
"isIgnoreIdle": false,
"teamId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appCategory": "Software Development"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"Google Chrome"
Example:
"productive"
Example:
false
Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Category name from the categories list (e.g. from GET /v1/settings/category)
Example:
"Software Development"
